states.push({
	id: "buy-ramjet",
	button: "Buy Ramjet (₩2000)",
	action: "Purchasing",
	show: () => !isFlagEnabled('ramjet-purchased'),
	duration: 300,
	requires: () => {
		let enoughMoney = userData.money >= 2000;
		if (!enoughMoney) {
			errorMessage = "Not enough money to buy ramjet";
			return false;
		}
		let confirmPurchase = confirm(`Are you sure you want to purchase a bussard ramjet for ₩2000?`);
		return confirmPurchase;
	},
	run: () => {
		userData.money -= 2000;
		setFlag('ramjet-purchased');
	},
});